Resource Center/Network Resource/Hardware SDN Controller Operations
PUTHardware SDN Controller OperationsSince 5.3.0SynchronousAuth Required
SdnControllerChangeHost
SdnControllerChangeHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
sdnControllerUuidStringRequiredThe SDN controller UUID.
hostUuidStringRequiredThe host UUID.
Body Fields
vSwitchTypeStringOptional. The virtual switch type.
nicNamesListOptional. The list of physical server's nic names.
vtepIpStringOptional. The physical server's VTEP IP.
netmaskStringOptional. The physical server's VTEP IP netmask.
bondModeStringOptional. The physical server's bond mode.
Responses
Endpoint
PUT/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}/actions
/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"vSwitchType":"<vSwitchType>","nicNames":["<nicNames>"],"vtepIp":"<vtepIp>","netmask":"<netmask>","bondMode":"<bondMode>","lacpMode":"<lacpMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "b2d35464d0db3362b605c1e79814f237", "vendorType": "H3C VCFC", "name": "sdn-1", "description": "sdn controller from vendor", "ip": "192.168.1.1", "username": "admin", "password": "password" } }Change History
This API has no change history records yet.
